package exam2;

import java.util.Map;

public interface BiometricHandlerInterface {

	// handles fingerprint reading and interpretation

	public FingerprintImage scan();

	public IdentifierSequence parseFingerprint(FingerprintImage fpi);

	// queries and matches IdentifierSequences against the database of allowed
	// users

	public Map<User, IdentifierSequence> queryValidIdentifiers(DatabaseConnection users);

	public boolean containsMatch(Map<User, IdentifierSequence> userSeqs, IdentifierSequence fingerprint);

	public User findMatch(Map<User, IdentifierSequence> userSeqs, IdentifierSequence fingerprint);

	// Handles device lock/unlock

	public void unlockDevice();

	public void rejectUnlockAttempt();

}
